/*     */ package tfw.TW;
/*     */ 
/*     */ import org.bukkit.Bukkit;
/*     */ import org.bukkit.ChatColor;
/*     */ import org.bukkit.GameMode;
/*     */ import org.bukkit.entity.Player;
/*     */ import org.bukkit.event.EventHandler;
/*     */ import org.bukkit.event.Listener;
/*     */ import org.bukkit.event.entity.EntityDamageByEntityEvent;
/*     */ import org.bukkit.event.entity.EntityDamageEvent;
/*     */ import org.bukkit.event.player.PlayerRespawnEvent;
/*     */ 
/*     */ public class Death
/*     */   implements Listener
/*     */ {
/*     */   @EventHandler
/*     */   public void onDamage(EntityDamageByEntityEvent event)
/*     */   {
/*  18 */     if (((event.getEntity() instanceof Player)) && ((event.getDamager() instanceof Player))) {
/*  19 */       Player damager = (Player)event.getDamager();
/*  20 */       Player damaged = (Player)event.getEntity();
/*  21 */       if (Game.getStage() != GameStage.INGAME) {
/*  22 */         event.setCancelled(true);
/*     */       }
/*  25 */       else if ((Game.isSpectating(damager)) || (Game.isSpectating(damaged))) {
/*  26 */         event.setCancelled(true);
/*     */       }
/*  29 */       else if ((Game.isAlive(damager)) && (Game.isAlive(damaged))) {
/*  30 */         if ((Game.redAlive.contains(damaged.getUniqueId())) && (Game.redAlive.contains(damager.getUniqueId()))) {
/*  31 */           event.setCancelled(true);
/*     */         }
/*  33 */         else if ((Game.blueAlive.contains(damaged.getUniqueId())) && (Game.blueAlive.contains(damager.getUniqueId()))) {
/*  34 */           event.setCancelled(true);
/*     */         }
/*  37 */         else if (!Main.Settings.getConfig().getBoolean("pvp_enabled"))
/*     */         {
/*  41 */           event.setCancelled(true);
/*     */         }
/*     */       }
/*     */       else
/*     */       {
/*  46 */         event.setCancelled(true);
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */   @EventHandler
/*     */   public void onDam(EntityDamageEvent event)
/*     */   {
/*  56 */     if ((Game.getStage().equals(GameStage.BETWEEN_ROUNDS)) || (Game.getStage().equals(GameStage.WAITING))) {
/*  57 */       if ((event.getEntity() instanceof Player)) {
/*  58 */         Player p = (Player)event.getEntity();
/*  59 */         p.teleport(Locations.getLobby());
/*     */       }
/*  61 */       event.setCancelled(true);
/*  62 */       return;
/*     */     }
/*  64 */     if ((event.getEntity() instanceof Player)) {
/*  65 */       Player p = (Player)event.getEntity();
/*     */ 
/*  67 */       if (event.getCause() == EntityDamageEvent.DamageCause.VOID)
/*     */       {
/*  69 */         if (Game.isSpectating(p)) {
/*  70 */           event.setCancelled(true);
/*     */         }
/*     */         else
/*     */         {
/*  74 */           p.setHealth(20.0D);
/*  75 */           Game.clear(p);
/*     */ 
/*  77 */           setSpectating(p, Boolean.valueOf(true));
/*     */ 
/*  80 */           String s = Main.Messages.getConfig().getString("death_message").replace("{PLAYERNAME}", p.getName());
/*  81 */           String m = ChatColor.translateAlternateColorCodes('&', s);
/*  82 */           Bukkit.broadcastMessage(Main.getPrefix() + " " + m);
/*  83 */           if (Game.red.contains(p.getUniqueId())) {
/*  84 */             Game.redAlive.remove(p.getUniqueId());
/*  85 */             p.teleport(Locations.getRed());
/*     */           }
/*  87 */           if (Game.blue.contains(p.getUniqueId())) {
/*  88 */             Game.blueAlive.remove(p.getUniqueId());
/*  89 */             p.teleport(Locations.getBlue());
/*     */           }
/*  91 */           if (((Game.redAlive.size() == 0) || (Game.blueAlive.size() == 0)) && 
/*  92 */             (Game.getStage() == GameStage.INGAME)) {
/*  93 */             p.teleport(Locations.getLobby());
/*  94 */             Game.endGame();
/*     */           }
/*     */ 
/*     */         }
/*     */ 
/*     */       }
/*     */       else
/*     */       {
/* 102 */         double i = p.getHealth() - event.getDamage();
/* 103 */         if (i <= 0.5D)
/*     */         {
/* 105 */           if (Game.isSpectating(p)) {
/* 106 */             event.setCancelled(true);
/*     */           }
/*     */           else {
/* 109 */             p.setHealth(20.0D);
/* 110 */             Game.clear(p);
/* 111 */             setSpectating(p, Boolean.valueOf(true));
/*     */ 
/* 114 */             String s = Main.Messages.getConfig().getString("death_message").replace("{PLAYERNAME}", p.getName());
/* 115 */             String m = ChatColor.translateAlternateColorCodes('&', s);
/* 116 */             Bukkit.broadcastMessage(Main.getPrefix() + " " + m);
/* 117 */             if (Game.red.contains(p.getUniqueId())) {
/* 118 */               Game.redAlive.remove(p.getUniqueId());
/* 119 */               p.teleport(Locations.getRed());
/*     */             }
/* 121 */             if (Game.blue.contains(p.getUniqueId())) {
/* 122 */               Game.blueAlive.remove(p.getUniqueId());
/* 123 */               p.teleport(Locations.getBlue());
/*     */             }
/* 125 */             if (((Game.redAlive.size() == 0) || (Game.blueAlive.size() == 0)) && 
/* 126 */               (Game.getStage() == GameStage.INGAME)) {
/* 127 */               p.teleport(Locations.getLobby());
/* 128 */               Game.endGame();
/*     */             }
/*     */ 
/* 132 */             event.setCancelled(true);
/*     */           }
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */   @EventHandler
/*     */   public void onRespawn(PlayerRespawnEvent event)
/*     */   {
/* 167 */     if ((Game.getStage() == GameStage.WAITING) || (Game.getStage() == GameStage.BETWEEN_ROUNDS)) {
/* 168 */       event.setRespawnLocation(Locations.getLobby());
/*     */     }
/*     */     else {
/* 171 */       setSpectating(event.getPlayer(), Boolean.valueOf(true));
/* 172 */       Game.clear(event.getPlayer());
/* 173 */       if (Game.red.contains(event.getPlayer().getUniqueId())) {
/* 174 */         event.setRespawnLocation(Locations.getRed());
/*     */       }
/*     */       else
/* 177 */         event.setRespawnLocation(Locations.getBlue());
/*     */     }
/*     */   }
/*     */ 
/*     */   public static void setSpectating(Player player, Boolean bool)
/*     */   {
/* 184 */     if (bool.booleanValue())
/*     */     {
/* 186 */       Game.clear(player);
/*     */ 
/* 188 */       player.setGameMode(GameMode.SPECTATOR);
/*     */ 
/*     */ 
/* 194 */       Main.spectating.add(player.getUniqueId());
/*     */     }
/* 197 */     else if (!bool.booleanValue())
/*     */     {
/* 199 */       if (!Main.spectating.contains(player.getUniqueId())) return;
/*     */ 
/* 201 */       Game.clear(player);
/*     */ player.setGameMode(GameMode.SURVIVAL);
/* 207 */       Main.spectating.remove(player.getUniqueId());
/*     */     }
/*     */   }
/*     */ 
/*     */   public static boolean isSpectating(Player player) {
/* 212 */     if (Main.spectating.contains(player.getUniqueId())) return true;
/* 213 */     return false;
/*     */   }
/*     */ }

/* Location:           /Users/kendelchopp/Desktop/TNT Wars.jar
 * Qualified Name:     tfw.TW.Death
 * JD-Core Version:    0.6.2
 */