/*    */ package tfw.TW;
/*    */ 
/*    */ import org.bukkit.Bukkit;
/*    */ import org.bukkit.Location;
/*    */ import org.bukkit.WorldCreator;
/*    */ import org.bukkit.entity.Player;
/*    */ 
/*    */ public class Locations
/*    */ {
/*    */   public static void setLobby(Location loc)
/*    */   {
/* 11 */     Main.Locate.getConfig().set("Lobby.World", loc.getWorld().getName());
/* 12 */     Main.Locate.getConfig().set("Lobby.X", Double.valueOf(loc.getX()));
/* 13 */     Main.Locate.getConfig().set("Lobby.Y", Double.valueOf(loc.getY()));
/* 14 */     Main.Locate.getConfig().set("Lobby.Z", Double.valueOf(loc.getZ()));
/* 15 */     Main.Locate.getConfig().set("Lobby.Yaw", Float.valueOf(loc.getYaw()));
/* 16 */     Main.Locate.getConfig().set("Lobby.Pitch", Float.valueOf(loc.getPitch()));
/* 17 */     Main.Locate.saveConfig();
/*    */   }
/*    */   public static Location getLobby() {
/* 20 */     float yaw = (float)Main.Locate.getConfig().getDouble("Lobby.Yaw");
/* 21 */     float pitch = (float)Main.Locate.getConfig().getDouble("Lobby.Pitch");
/* 22 */     Location loc = new Location(Bukkit.getServer().getWorld(Main.Locate.getConfig().getString("Lobby.World")), 
/* 23 */       Main.Locate.getConfig().getDouble("Lobby.X"), 
/* 24 */       Main.Locate.getConfig().getDouble("Lobby.Y"), 
/* 25 */       Main.Locate.getConfig().getDouble("Lobby.Z"), yaw, pitch);
/* 26 */     return loc;
/*    */   }
/*    */ 
/*    */   public static void setRed(Location loc) {
/* 30 */     Main.Locate.getConfig().set("Red.World", loc.getWorld().getName());
/* 31 */     Main.Locate.getConfig().set("Red.X", Double.valueOf(loc.getX()));
/* 32 */     Main.Locate.getConfig().set("Red.Y", Double.valueOf(loc.getY()));
/* 33 */     Main.Locate.getConfig().set("Red.Z", Double.valueOf(loc.getZ()));
/* 34 */     Main.Locate.getConfig().set("Red.Yaw", Float.valueOf(loc.getYaw()));
/* 35 */     Main.Locate.getConfig().set("Red.Pitch", Float.valueOf(loc.getPitch()));
/* 36 */     Main.Locate.saveConfig();
/*    */   }
/*    */   public static Location getRed() {
/* 39 */     float yaw = (float)Main.Locate.getConfig().getDouble("Red.Yaw");
/* 40 */     float pitch = (float)Main.Locate.getConfig().getDouble("Red.Pitch");
/* 41 */     Location loc = new Location(Bukkit.getServer().getWorld(Main.Locate.getConfig().getString("Red.World")), 
/* 42 */       Main.Locate.getConfig().getDouble("Red.X"), 
/* 43 */       Main.Locate.getConfig().getDouble("Red.Y"), 
/* 44 */       Main.Locate.getConfig().getDouble("Red.Z"), yaw, pitch);
/* 45 */     return loc;
/*    */   }
/*    */   public static void setBlue(Location loc) {
/* 48 */     Main.Locate.getConfig().set("Blue.World", loc.getWorld().getName());
/* 49 */     Main.Locate.getConfig().set("Blue.X", Double.valueOf(loc.getX()));
/* 50 */     Main.Locate.getConfig().set("Blue.Y", Double.valueOf(loc.getY()));
/* 51 */     Main.Locate.getConfig().set("Blue.Z", Double.valueOf(loc.getZ()));
/* 52 */     Main.Locate.getConfig().set("Blue.Yaw", Float.valueOf(loc.getYaw()));
/* 53 */     Main.Locate.getConfig().set("Blue.Pitch", Float.valueOf(loc.getPitch()));
/* 54 */     Main.Locate.saveConfig();
/*    */   }
/*    */   public static Location getBlue() {
/* 57 */     float yaw = (float)Main.Locate.getConfig().getDouble("Blue.Yaw");
/* 58 */     float pitch = (float)Main.Locate.getConfig().getDouble("Blue.Pitch");
/* 59 */     Location loc = new Location(Bukkit.getServer().getWorld(Main.Locate.getConfig().getString("Blue.World")), 
/* 60 */       Main.Locate.getConfig().getDouble("Blue.X"), 
/* 61 */       Main.Locate.getConfig().getDouble("Blue.Y"), 
/* 62 */       Main.Locate.getConfig().getDouble("Blue.Z"), yaw, pitch);
/* 63 */     return loc;
/*    */   }
/*    */   public static void unloadMap(String mapname) {
/* 66 */     for (Player p : Bukkit.getOnlinePlayers()) {
/* 67 */       if (p.getLocation().getWorld().getName().equals(mapname)) {
/* 68 */         p.teleport(getLobby());
/*    */       }
/*    */     }
/*    */ 
/* 72 */     if (Bukkit.getServer().unloadWorld(Bukkit.getServer().getWorld(mapname), false)) {
/* 73 */       Main.getPlugin().getLogger().info("Successfully unloaded " + mapname);
/*    */     } else {
/* 75 */       Main.getPlugin().getLogger().severe("COULD NOT UNLOAD " + mapname);
/* 76 */       Main.getPlugin().getLogger().severe("");
/*    */     }
/*    */   }
/*    */ 
/*    */   public static void loadMap(String mapname) {
/* 81 */     Bukkit.getServer().createWorld(new WorldCreator(mapname));
/* 82 */     Bukkit.getServer().getWorld(mapname).setAutoSave(false);
/*    */   }
/*    */ 
/*    */   public static void rollback(String mapname)
/*    */   {
/* 87 */     RefreshWorld.now();
/*    */   }
/*    */ }

/* Location:           /Users/kendelchopp/Desktop/TNT Wars.jar
 * Qualified Name:     tfw.TW.Locations
 * JD-Core Version:    0.6.2
 */