/*     */ package tfw.TW;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.Random;
/*     */ import java.util.UUID;

/*     */ import org.bukkit.Bukkit;
/*     */ import org.bukkit.ChatColor;
/*     */ import org.bukkit.DyeColor;
/*     */ import org.bukkit.GameMode;
/*     */ import org.bukkit.Material;
/*     */ import org.bukkit.entity.Player;
/*     */ import org.bukkit.inventory.ItemStack;
/*     */ import org.bukkit.inventory.meta.ItemMeta;
/*     */ import org.bukkit.material.Wool;
/*     */ import org.bukkit.scheduler.BukkitRunnable;
/*     */ 
/*     */ public class Game
/*     */ {
/*  20 */   public static GameStage stage = GameStage.WAITING;
/*  21 */   public static ArrayList<UUID> red = new ArrayList<UUID> ();
/*  22 */   public static ArrayList<UUID> blue = new ArrayList<UUID> ();
/*  23 */   public static ArrayList<UUID> redAlive = new ArrayList<UUID> ();
/*  24 */   public static ArrayList<UUID> blueAlive =new ArrayList<UUID> ();
/*  25 */   public static int countdown = 60;
/*     */ 
/*  27 */   public static GameStage getStage() { return stage; }
/*     */ 
/*     */   public static void setStage(GameStage s) {
/*  30 */     stage = s;
/*     */   }
/*     */ 
/*     */   @SuppressWarnings("deprecation")
public static void clear(Player player) {
/*  34 */     player.getInventory().clear();
/*  35 */     player.setHealth(20.0D);
/*  36 */     player.setFoodLevel(20);
/*  37 */     player.setFireTicks(0);
/*  38 */     player.getInventory().setHelmet(null);
/*  39 */     player.getInventory().setChestplate(null);
/*  40 */     player.getInventory().setLeggings(null);
/*  41 */     player.getInventory().setBoots(null);
/*  42 */     player.updateInventory();
/*     */   }
/*     */ 
/*     */   @SuppressWarnings("deprecation")
public static void equip(Player player, String team) {
/*  46 */     if (team.equalsIgnoreCase("red")) {
/*  47 */       Wool redwool = new Wool(DyeColor.RED);
/*  48 */       ItemStack redhat = redwool.toItemStack(1);
/*  49 */       player.getInventory().setHelmet(redhat);
/*     */     }
/*  51 */     if (team.equalsIgnoreCase("blue")) {
/*  52 */       Wool bwool = new Wool(DyeColor.BLUE);
/*  53 */       ItemStack bhat = bwool.toItemStack(1);
/*  54 */       player.getInventory().setHelmet(bhat);
/*     */     }
/*     */ 
/*  57 */     ItemStack chest = new ItemStack(Material.GOLD_CHESTPLATE, 1);
/*  58 */     ItemStack leg = new ItemStack(Material.GOLD_LEGGINGS, 1);
/*  59 */     ItemStack boot = new ItemStack(Material.GOLD_BOOTS, 1);
/*  60 */     ItemStack equipment = new ItemStack(Material.CHEST, 1);
/*  61 */     ItemMeta eqipMeta = equipment.getItemMeta();
/*  62 */     String s = ChatColor.translateAlternateColorCodes('&', Main.Messages.getConfig().getString("chest_name"));
/*  63 */     eqipMeta.setDisplayName(s);
/*  64 */     equipment.setItemMeta(eqipMeta);
/*  65 */     player.getInventory().setItem(8, equipment);
/*  66 */     player.getInventory().setChestplate(chest);
/*  67 */     player.getInventory().setLeggings(leg);
/*  68 */     player.getInventory().setBoots(boot);
/*  69 */     player.updateInventory();
/*     */   }
/*     */ 
/*     */   public static String getTeam() {
/*  73 */     if (blue.size() > red.size()) return "red";
/*  74 */     if (red.size() > blue.size()) return "blue";
/*  75 */     Random r = new Random();
/*  76 */     if (r.nextBoolean()) return "blue";
/*  77 */     return "red";
/*     */   }
/*     */ 
/*     */   public static boolean isAlive(Player player)
/*     */   {
/*  82 */     if (redAlive.contains(player.getUniqueId())) return true;
/*  83 */     if (blueAlive.contains(player.getUniqueId())) return true;
/*  84 */     return false;
/*     */   }
/*     */ 
/*     */   public static void setSpectating(Player player, boolean bool) {
/*  88 */     if (bool) {
/*  89 */       clear(player);
/*  90 */       player.setGameMode(GameMode.CREATIVE);
/*     */     }
/*     */   }
/*     */ 
/*     */   public static void setSpectating(Player player, Boolean bool)
/*     */   {
/* 100 */     if (bool.booleanValue())
/*     */     {
/* 102 */       clear(player);
/*     */ 
/* 104 */       player.setGameMode(GameMode.CREATIVE);
/*     */ 
/* 106 */       for (Player p : Bukkit.getOnlinePlayers()) {
/* 107 */         p.hidePlayer(player);
/*     */       }
/*     */ 
/* 110 */       Main.spectating.add(player.getUniqueId());
/*     */     }
/* 113 */     else if (!bool.booleanValue())
/*     */     {
/* 115 */       if (!Main.spectating.contains(player.getUniqueId())) return;
/*     */ 
/* 117 */       clear(player);
/*     */ 
/* 119 */       for (Player p : Bukkit.getOnlinePlayers()) {
/* 120 */         p.showPlayer(player);
/*     */       }
/*     */ 
/* 123 */       Main.spectating.remove(player.getUniqueId());
/*     */     }
/*     */   }
/*     */ 
/* 127 */   public static boolean isSpectating(Player player) { if (Main.spectating.contains(player.getUniqueId())) return true;
/* 128 */     return false; }
/*     */ 
/*     */   public static void forceStart()
/*     */   {
/* 132 */     if (getStage() == GameStage.INGAME) return;
/* 133 */     for (Player p : Bukkit.getOnlinePlayers()) {
/* 134 */       if (p.getLocation().getWorld().equals(Locations.getRed().getWorld().getName())) {
/* 135 */         p.teleport(Locations.getLobby());
/*     */       }
/*     */     }
/*     */ 
/* 139 */     Locations.rollback(Locations.getRed().getWorld().getName());
/* 140 */     Locations.getRed().getWorld().setAutoSave(false);
/* 141 */     red.clear();
/* 142 */     redAlive.clear();
/* 143 */     blue.clear();
/* 144 */     blueAlive.clear();
/* 145 */     setStage(GameStage.INGAME);
/* 146 */     String s = Main.Messages.getConfig().getString("starting");
/* 147 */     Bukkit.broadcastMessage(Main.getPrefix() + " " + ChatColor.translateAlternateColorCodes('&', s));
/* 148 */     for (Player p : Bukkit.getOnlinePlayers()) {
/* 149 */       if (getTeam().equalsIgnoreCase("red")) {
/* 150 */         String message = ChatColor.translateAlternateColorCodes('&', Main.Messages.getConfig().getString("Join_Red_Team"));
/* 151 */         p.sendMessage(Main.getPrefix() + " " + message);
/* 152 */         red.add(p.getUniqueId());
/* 153 */         redAlive.add(p.getUniqueId());
/*     */       }
/*     */       else {
/* 156 */         String message = ChatColor.translateAlternateColorCodes('&', Main.Messages.getConfig().getString("Join_Blue_Team"));
/* 157 */         p.sendMessage(Main.getPrefix() + " " + message);
/* 158 */         blue.add(p.getUniqueId());
/* 159 */         blueAlive.add(p.getUniqueId());
/*     */       }
/*     */     }
/* 162 */     new BukkitRunnable()
/*     */     {
/*     */       public void run()
/*     */       {
/* 167 */         for (UUID s : Game.red) {
/* 168 */           Player p = Bukkit.getPlayer(s);
/* 169 */           Game.equip(p, "red");
/* 170 */           p.teleport(Locations.getRed());
/*     */         }
/* 172 */         for (UUID s : Game.blue) {
/* 173 */           Player p = Bukkit.getPlayer(s);
/* 174 */           Game.equip(p, "blue");
/* 175 */           p.teleport(Locations.getBlue());
/*     */         }
/*     */       }
/*     */     }
/* 179 */     .runTaskLater(Main.getPlugin(), 5L);
/*     */   }
/*     */ 
/*     */   public static void startGame()
/*     */   {
/* 186 */     if (getStage() == GameStage.INGAME) return;
/* 187 */     if (Bukkit.getOnlinePlayers().size() >= Main.Settings.getConfig().getInt("minplayers")) {
/* 188 */       Locations.rollback(Locations.getRed().getWorld().getName());
/* 189 */       Locations.getRed().getWorld().setAutoSave(false);
/* 190 */       red.clear();
/* 191 */       redAlive.clear();
/* 192 */       blue.clear();
/* 193 */       blueAlive.clear();
/* 194 */       setStage(GameStage.INGAME);
/* 195 */       String s = Main.Messages.getConfig().getString("starting");
/* 196 */       Bukkit.broadcastMessage(Main.getPrefix() + " " + ChatColor.translateAlternateColorCodes('&', s));
/* 197 */       for (Player p : Bukkit.getOnlinePlayers()) {
/* 198 */         if (getTeam().equalsIgnoreCase("red")) {
/* 199 */           String message = ChatColor.translateAlternateColorCodes('&', Main.Messages.getConfig().getString("Join_Red_Team"));
/* 200 */           p.sendMessage(Main.getPrefix() + " " + message);
/* 201 */           red.add(p.getUniqueId());
/* 202 */           redAlive.add(p.getUniqueId());
/*     */         }
/*     */         else {
/* 205 */           String message = ChatColor.translateAlternateColorCodes('&', Main.Messages.getConfig().getString("Join_Blue_Team"));
/* 206 */           p.sendMessage(Main.getPrefix() + " " + message);
/* 207 */           blue.add(p.getUniqueId());
/* 208 */           blueAlive.add(p.getUniqueId());
/*     */         }
/*     */       }
/* 211 */       new BukkitRunnable()
/*     */       {
/*     */         public void run()
/*     */         {
/* 216 */           for (UUID s : Game.red) {
/* 217 */             Player p = Bukkit.getPlayer(s);
/* 218 */             Game.equip(p, "red");
/* 219 */             p.teleport(Locations.getRed());
/*     */           }
/* 221 */           for (UUID s : Game.blue) {
/* 222 */             Player p = Bukkit.getPlayer(s);
/* 223 */             Game.equip(p, "blue");
/* 224 */             p.teleport(Locations.getBlue());
/*     */           }
/*     */         }
/*     */       }
/* 228 */       .runTaskLater(Main.getPlugin(), 5L);
/*     */     }
/*     */     else
/*     */     {
/* 233 */       setStage(GameStage.WAITING);
/* 234 */       String s = ChatColor.translateAlternateColorCodes('&', Main.Messages.getConfig().getString("not_enough_players"));
/* 235 */       Bukkit.broadcastMessage(Main.getPrefix() + " " + s);
/*     */     }
/*     */   }
/*     */ 
/*     */   public static void startBetween() {
/* 240 */     if (getStage() == GameStage.BETWEEN_ROUNDS) return;
/* 241 */     setStage(GameStage.BETWEEN_ROUNDS);
/* 242 */     int i = Main.Settings.getConfig().getInt("seconds_between_rounds");
/*     */ 
/* 244 */     String s = Main.Messages.getConfig().getString("timer_message").replace("{SECONDS}", String.valueOf(i));
/* 245 */     String m = ChatColor.translateAlternateColorCodes('&', s);
/* 246 */     Bukkit.broadcastMessage(Main.getPrefix() + " " + m);
/* 247 */     countdown = i;
/* 248 */     BukkitRunnable task = new BukkitRunnable()
/*     */     {
/*     */       public void run() {
/* 251 */         Game.countdown -= 1;
/* 252 */         for (Player p : Bukkit.getOnlinePlayers()) {
/* 253 */           if (Game.countdown >= 0) {
/* 254 */             p.setLevel(Game.countdown);
/*     */           }
/*     */           else {
/* 257 */             p.setLevel(0);
/*     */           }
/*     */         }
/*     */ 
/* 261 */         if (Game.countdown < 0) {
/* 262 */           Game.forceStart();
/* 263 */           cancel();
/*     */         }
/* 265 */         if (Game.countdown == 0) {
/* 266 */           Game.startGame();
/*     */ 
/* 268 */           cancel();
/*     */         }
/*     */       }
/*     */     };
/* 273 */     task.runTaskTimer(Main.getPlugin(), 0L, 20L);
/*     */   }
/*     */ 
/*     */   public static void endGame()
/*     */   {
/* 279 */     String s = Main.Messages.getConfig().getString("winning_message");
/*     */ 
/* 281 */     if (redAlive.size() > 0) {
/* 282 */       String r = s.replace("{TEAM}", "Red team");
/* 283 */       String q = ChatColor.translateAlternateColorCodes('&', r);
/* 284 */       Bukkit.broadcastMessage(Main.getPrefix() + " " + q);
/*     */     }
/*     */     String q;
/* 286 */     if (blueAlive.size() > 0) {
/* 287 */       String r = s.replace("{TEAM}", "Blue team");
/* 288 */       q = ChatColor.translateAlternateColorCodes('&', r);
/* 289 */       Bukkit.broadcastMessage(Main.getPrefix() + " " + q);
/*     */     }
/* 293 */     if (Main.Settings.getConfig().getBoolean("bungee_mode")) {
	for (Player pl : Bukkit.getOnlinePlayers()){
		Death.setSpectating(pl, false);
	}
/*     */ 
/* 297 */         new BukkitRunnable()
/*     */         {
/*     */           public void run()
/*     */           {
/* 302 */             Bukkit.getServer().dispatchCommand(Bukkit.getServer().getConsoleSender(), "lobbykick");
/*     */           }
/*     */ 
/*     */         }
/*     */ 
/* 307 */         .runTaskLater(Main.getPlugin(), 195L);
/* 308 */         new BukkitRunnable()
/*     */         {
/*     */           public void run()
/*     */           {
/* 312 */             Bukkit.getServer().shutdown();
/*     */           }
/*     */         }
/* 315 */         .runTaskLater(Main.getPlugin(), 200L);
/*     */       }
/*     */     
/*     */ 
/* 319 */     if (!Main.Settings.getConfig().getBoolean("bungee_mode")) {
/* 320 */      for (Player p : Bukkit.getOnlinePlayers()){
/* 321 */         p.teleport(Locations.getLobby());
/* 322 */         Death.setSpectating(p, Boolean.valueOf(false));
/* 323 */         for (Player player : Bukkit.getOnlinePlayers()) {
/* 324 */           player.showPlayer(p);
/*     */         }
/* 326 */         clear(p);
/*     */       }
/* 328 */       new BukkitRunnable()
/*     */       {
/*     */         public void run()
/*     */         {
/* 333 */           Locations.rollback(Locations.getRed().getWorld().getName());
/*     */         }
/*     */       }
/* 336 */       .runTaskLater(Main.getPlugin(), 12L);
/*     */ 
/* 338 */       if (Bukkit.getOnlinePlayers().size() >= Main.Settings.getConfig().getInt("minplayers")) {
/* 339 */         startBetween();
/*     */       }
/* 341 */       if (Bukkit.getOnlinePlayers().size() < Main.Settings.getConfig().getInt("minplayers")) {
/* 342 */         String l = ChatColor.translateAlternateColorCodes('&', Main.Messages.getConfig().getString("not_enough_players"));
/* 343 */         Bukkit.broadcastMessage(Main.getPrefix() + " " + l);
/* 344 */         setStage(GameStage.WAITING);
/*     */       }
/*     */     }
/*     */   }
/*     */ }

/* Location:           /Users/kendelchopp/Desktop/TNT Wars.jar
 * Qualified Name:     tfw.TW.Game
 * JD-Core Version:    0.6.2
 */